> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Recent Product Countries

> Returns ProductCountry objects (country exceptions, restrictions, and VAT rates) changed since a given request id.

Returns the list of ProductCountry objects requested by the Merchant since requestId is specified. This method may be used by the Merchants to load to their local “cache” ProductCountries storage, product “country exceptions” (product/country combinations that have commercial or regulatory country-specific restrictions, as well as any non-standard VAT rates that should be applied to the respective products in the respective EU countries). For the first call to RecentProductCountryS , requestId=0 must be specified. If any ProductCountry object record returned by RecentProductCountryS API is not "restricted", not "forbidden", and VATRateType 's rate is equal to the respective country’s default VATRateType 's rate, this indicates that this ProductCountry is “reverted” to “default” (no restrictions and default country VAT rate). In such a case, this ProductCountry should not be created in the local "cache" ProductCountries storage. If this ProductCountry already exists in the local "cache" storage, then it has to be deleted from there. Note that the IsForbidden flag actually denotes global restriction that is applied to ALL countries for the respective product. So if IsForbidden is set, it will be set for all countries, although in Global‑e core it’s actually a Product level flag (rather than ProductCountry level).


## OpenAPI

````yaml api-reference/specs/recentproductcountries.yaml POST /Browsing/RecentProductCountryS
openapi: 3.0.3
info:
  title: RecentProductCountryS
  version: 1.0.0
  x-scaled-review: true
  description: >-
    Returns the list of ProductCountry objects requested by the Merchant since
    requestId is specified. This method may be used by the Merchants to load to
    their local “cache” ProductCountries storage, product “country exceptions”
    (product/country combinations that have commercial or regulatory
    country-specific restrictions, as well as any non-standard VAT rates that
    should be applied to the respective products in the respective EU
    countries). For the first call to RecentProductCountryS , requestId=0 must
    be specified. If any ProductCountry object record returned by
    RecentProductCountryS API is not "restricted", not "forbidden", and
    VATRateType 's rate is equal to the respective country’s default VATRateType
    's rate, this indicates that this ProductCountry is “reverted” to “default”
    (no restrictions and default country VAT rate). In such a case, this
    ProductCountry should not be created in the local "cache" ProductCountries
    storage. If this ProductCountry already exists in the local "cache" storage,
    then it has to be deleted from there. Note that the IsForbidden flag
    actually denotes global restriction that is applied to ALL countries for the
    respective product. So if IsForbidden is set, it will be set for all
    countries, although in Global‑e core it’s actually a Product level flag
    (rather than ProductCountry level).
servers:
  - url: https://{globale_api_domain}
    variables:
      globale_api_domain:
        default: globale_api_domain
        description: Global-e API host, supplied to the merchant by Global-e.
security: []
tags:
  - name: RecentProductCountryS
    x-page-title: RecentProductCountryS
  - name: 'Direction: Merchant → Global-e'
  - name: 'Domain: Browsing & Catalog'
paths:
  /Browsing/RecentProductCountryS:
    post:
      tags:
        - RecentProductCountryS
      summary: Return recently-changed ProductCountry objects since a request id
      description: >-
        Returns the list of ProductCountry objects requested by the Merchant
        since requestId is specified.
      operationId: recentProductCountryS
      parameters:
        - name: requestID
          in: query
          required: false
          description: Request identifier
          schema:
            type: number
      responses:
        '200':
          description: List of ProductCountry objects and the request identifier.
          content:
            application/json:
              schema:
                type: object
                properties:
                  ProductCountry:
                    type: array
                    description: >-
                      List of countries related to products, list of
                      ProductCountry objects
                    items:
                      $ref: '#/components/schemas/ProductCountry'
                  RequestID:
                    type: number
                    description: Request identifier
components:
  schemas:
    ProductCountry:
      type: object
      title: ProductCountry
      properties:
        CountryCode:
          type: string
          description: 2-char ISO code of the shipping country
        ForbiddanceMessage:
          type: string
          description: >-
            Textual definition of the forbiddance (will be empty if IsForbidden
            is FALSE)
        IsForbidden:
          type: boolean
          description: >-
            Indicates if Global-e supports shipping the product to this country.
            TRUE - Global-e does not support shipping the product to this
            country. Adding this product to the cart must be disabled
            completely. FALSE - The product can be shipped to this country.
        IsRestricted:
          type: boolean
          description: >-
            Indicates if this product has import restrictions for this shipping
            country. TRUE - Product has import restrictions for this shipping
            country. If at least one restricted product is included in the Cart,
            the end customer will not be able to place the order with Global-e
            until the product is either removed from the Cart or a shipping
            country with no restrictions for this product is selected. FALSE -
            Product does not have import restrictions.
        IsVerified:
          type: boolean
          description: >-
            Indicates if product restrictions and other data contained in this
            object have been verified by Global‑e (i.e. some algorithmic
            approximations may be used by the system until manually resolved by
            Global‑e personnel). TRUE - Product restrictions/data have been
            verified. FALSE - Restrictions not verified.
        ProductCode:
          type: string
          description: >-
            SKU code used to identify the product on the Merchant’s site (to be
            mapped on the Global‑e side)
        RestrictionMessage:
          type: string
          description: >-
            Textual definition of the restriction (will be empty if IsRestricted
            is FALSE)
        TTL:
          type: number
          description: >-
            Time-to-live interval (in seconds) before this object must be
            refreshed from the Global-e server. This property overwrites the
            “max-age” header returned by any method call which returns the
            ProductCountry object.
        UploadedViaCatalog:
          type: boolean
          description: >-
            Indicates whether the product was uploaded via catalogue or not.
            TRUE - Product was uploaded via catalogue. FALSE - Product was not
            uploaded via catalogue.
        VATRateType:
          allOf:
            - $ref: '#/components/schemas/VATRateType'
          description: >-
            Product’s VAT rate type or class to be used for this product in this
            shipping country. If not specified, the respective
            VATCategoryCountry’s VATRateType or Country’s DefaultVATRateType
            must be used if applicable according to the UseCountryVAT value for
            this country. Otherwise, the VAT rate defined for this product on
            the Merchant’s site must be used.
    VATRateType:
      type: object
      title: VATRateType
      properties:
        Name:
          type: string
          description: VAT rate type name
        Rate:
          type: number
          description: VAT rate decimal value
        VATRateTypeCode:
          type: string
          description: >-
            VAT rate type (or class) code on the Merchant’s site (to be mapped
            on the Global-e side)

````